Name:           perl-CPAN-Meta
Version:        2.150001
Release:        1%{?org_tag}%{?dist}
Summary:        Distribution metadata for a CPAN dist
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CPAN-Meta/
Source0:        http://localhost/cpan//authors/id/D/DA/DAGOLDEN/CPAN-Meta-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl(CPAN::Meta::Requirements) >= 2.121
BuildRequires:  perl(CPAN::Meta::YAML) >= 0.008
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.17
BuildRequires:  perl(File::Temp) >= 0.20
BuildRequires:  perl(JSON::PP) >= 2.27200
BuildRequires:  perl(List::Util) >= 1.33
BuildRequires:  perl(Parse::CPAN::Meta) >= 1.4414
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(version) >= 0.88
Requires:       perl(CPAN::Meta::Requirements) >= 2.121
Requires:       perl(CPAN::Meta::YAML) >= 0.008
Requires:       perl(File::Temp) >= 0.20
Requires:       perl(JSON::PP) >= 2.27200
Requires:       perl(List::Util) >= 1.33
Requires:       perl(Parse::CPAN::Meta) >= 1.4414
Requires:       perl(version) >= 0.88
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Autoreq:        no

%description
Software distributions released to the CPAN include a META.json or, for
older distributions, META.yml, which describes the distribution, its
contents, and the requirements for building and installing the
distribution. The data structure stored in the META.json file is described
in CPAN::Meta::Spec.

%prep
%setup -q -n CPAN-Meta-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot} UNINST=0

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes dist.ini history LICENSE META.json README Todo
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Apr 11 2015 Gavin Carr <gavin@openfusion.com.au> 2.150001-1
- Update to version 2.150001.

* Tue Jul 22 2014 Gavin Carr <gavin@openfusion.com.au> 2.141520-1
- Update to version 2.141520.

* Tue Mar 11 2014 Gavin Carr <gavin@openfusion.com.au> 2.140640-1
- Update to version 2.140640

* Mon Oct 22 2012 Gavin Carr <gavin@openfusion.com.au> 2.120921-1
- Update to version 2.120921.

* Sun Dec 11 2011 Gavin Carr <gavin@openfusion.com.au> 2.112621-1
- Update to version 2.112621.

* Thu Jun 30 2011 Gavin Carr <gavin@openfusion.com.au> 2.110930-1
- Specfile autogenerated by cpanspec 1.79.
